<?php

	$podcaster_radio_custom_css= "";

	/*-------------------- Global Color -------------------*/

	$podcaster_radio_first_color = get_theme_mod('podcaster_radio_first_color');

	if($podcaster_radio_first_color != false){
		$podcaster_radio_custom_css .='.search-box a, #sidebar label.wp-block-search__label, #sidebar .wp-block-heading, #slider .carousel-control-next i:hover, #slider .carousel-control-prev i:hover, #slider .more-btn a, .more-btn a, #comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, .woocommerce a.added_to_cart.wc-forward, #track-player-sec .ai-wrap .ai-btn.ai-btn-active, #track-player-sec .ai-wrap .ai-track:hover, #track-player-sec .ai-wrap .ai-track.ai-track-active, #track-player-sec .ai-wrap .ai-track-progress, #track-player-sec .ai-wrap .ai-volume-bar.ai-volume-bar-active::before, #track-player-sec .ai-wrap .ai-audio-control, #track-player-sec .ai-wrap .ai-audio-control:hover, #track-player-sec .ai-wrap .ai-audio-control:focus, #track-player-sec .ai-wrap .ai-track-progress:after, #podcast-series-section .owl-nav button:hover i, #preloader, #footer .tagcloud a:hover, #footer input[type="submit"], #footer-2, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, .scrollup i, #sidebar .custom-social-icons a,#footer .custom-social-icons a, #sidebar h3,  #sidebar .widget_block h3, #sidebar h2, #sidebar .tagcloud a:hover, .pagination a:hover, .pagination .current, .woocommerce span.onsale, .toggle-nav i,.breadcrumbs a,.breadcrumbs span,.post-categories li a, .wp-block-tag-cloud a:hover, nav.navigation.posts-navigation .nav-previous a, nav.navigation.posts-navigation .nav-next a, .wp-block-button__link,.main-navigation ul li a::before, .main-navigation .current_page_item > a::before, .main-navigation .current-menu-item > a::before,#footer-2,a.wc-block-components-checkout-return-to-cart-button{';
			$podcaster_radio_custom_css .='background: '.esc_attr($podcaster_radio_first_color).';';
		$podcaster_radio_custom_css .='}';
	}

	if($podcaster_radio_first_color != false){
		$podcaster_radio_custom_css .='.wp-block-woocommerce-cart .wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button,.wc-block-components-order-summary-item__quantity,.wc-block-grid__product-onsale,.wp-block-button__link,.wp-block-woocommerce-cart .wc-block-components-product-badge{';
			$podcaster_radio_custom_css .='background: '.esc_attr($podcaster_radio_first_color).'!important;';
		$podcaster_radio_custom_css .='}';
	}

	if($podcaster_radio_first_color != false){
		$podcaster_radio_custom_css .='.top-bar .topbar-links a:hover, p.site-title a:hover, .logo h1 a:hover, .main-navigation li a:hover, .main-navigation li a:focus, .main-navigation ul ul a:focus, .main-navigation ul ul a:hover, #slider .inner_carousel h1 a:hover, #slider .more-btn a i, .more-btn a i, #track-player-sec .ai-wrap .ai-track-time, #podcast-series-section h2, #podcast-series-section .owl-nav button i, .post-main-box:hover h2 a, .post-main-box:hover .post-info span a, .single-post .post-info:hover a, .middle-bar h6, .post-main-box:hover h3 a,#sidebar ul li a:hover, #footer li a:hover,.post-navigation a:hover .post-title,.post-navigation a:focus .post-title,.post-navigation a:hover,.post-navigation a:focus, .post-navigation span.meta-nav:hover, .wp-block-latest-comments__comment-author, .wp-block-latest-comments__comment-link{';
			$podcaster_radio_custom_css .='color: '.esc_attr($podcaster_radio_first_color).';';
		$podcaster_radio_custom_css .='}';
	}

	if($podcaster_radio_first_color != false){
		$podcaster_radio_custom_css .='.tags-bg a:hover,.wc-block-components-totals-coupon-link{';
			$podcaster_radio_custom_css .='color: '.esc_attr($podcaster_radio_first_color).'!important;';
		$podcaster_radio_custom_css .='}';
	}

	if($podcaster_radio_first_color != false){
		$podcaster_radio_custom_css .='#slider .carousel-control-next i:hover, #slider .carousel-control-prev i:hover, #footer .tagcloud a:hover,.wc-block-grid__product-onsale{';
			$podcaster_radio_custom_css .='border-color: '.esc_attr($podcaster_radio_first_color).';';
		$podcaster_radio_custom_css .='}';
	}

	if($podcaster_radio_first_color != false){
		$podcaster_radio_custom_css .='#podcast-series-section h3 a:before{';
			$podcaster_radio_custom_css .='border-left-color: '.esc_attr($podcaster_radio_first_color).';';
		$podcaster_radio_custom_css .='}';
	}

	if($podcaster_radio_first_color != false){
		$podcaster_radio_custom_css .='.search-box:before, .search-box:after{';
			$podcaster_radio_custom_css .='border-top-color: '.esc_attr($podcaster_radio_first_color).';';
		$podcaster_radio_custom_css .='}';
	}

	if($podcaster_radio_first_color != false){
		$podcaster_radio_custom_css .='.search-box a:after{';
			$podcaster_radio_custom_css .='border-top: 7px solid '.esc_attr($podcaster_radio_first_color).';';
		$podcaster_radio_custom_css .='}';
	}

	if($podcaster_radio_first_color != false){
		$podcaster_radio_custom_css .='.search-box a:before{';
			$podcaster_radio_custom_css .='border-bottom: 7px solid '.esc_attr($podcaster_radio_first_color).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_custom_css .='@media screen and (max-width:1000px) {';
		if($podcaster_radio_first_color != false){
			$podcaster_radio_custom_css .='.main-navigation a:hover{
				color:'.esc_attr($podcaster_radio_first_color).' !important;
			}';
		}
	$podcaster_radio_custom_css .='}';

	/*---------------------------Width Layout -------------------*/

	$podcaster_radio_theme_lay = get_theme_mod( 'podcaster_radio_width_option','Full Width');
    if($podcaster_radio_theme_lay == 'Boxed'){
		$podcaster_radio_custom_css .='body{';
			$podcaster_radio_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='.scrollup i{';
			$podcaster_radio_custom_css .='right: 100px;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='.page-template-custom-home-page .home-page-header{';
			$podcaster_radio_custom_css .='padding: 0px 40px 0 10px;';
		$podcaster_radio_custom_css .='}';
	}else if($podcaster_radio_theme_lay == 'Wide Width'){
		$podcaster_radio_custom_css .='body{';
			$podcaster_radio_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='.scrollup i{';
			$podcaster_radio_custom_css .='right: 30px;';
		$podcaster_radio_custom_css .='}';
	}else if($podcaster_radio_theme_lay == 'Full Width'){
		$podcaster_radio_custom_css .='body{';
			$podcaster_radio_custom_css .='max-width: 100%;';
		$podcaster_radio_custom_css .='}';
	}

	/*----------------Responsive Media -----------------------*/

	$podcaster_radio_resp_stickyheader = get_theme_mod( 'podcaster_radio_stickyheader_hide_show',false);
	if($podcaster_radio_resp_stickyheader == true && get_theme_mod( 'podcaster_radio_sticky_header',false) != true){
    	$podcaster_radio_custom_css .='.header-fixed{';
			$podcaster_radio_custom_css .='position:static;';
		$podcaster_radio_custom_css .='} ';
	}
    if($podcaster_radio_resp_stickyheader == true){
    	$podcaster_radio_custom_css .='@media screen and (max-width:575px) {';
		$podcaster_radio_custom_css .='.header-fixed{';
			$podcaster_radio_custom_css .='position:fixed;';
		$podcaster_radio_custom_css .='} }';
	}else if($podcaster_radio_resp_stickyheader == false){
		$podcaster_radio_custom_css .='@media screen and (max-width:575px){';
		$podcaster_radio_custom_css .='.header-fixed{';
			$podcaster_radio_custom_css .='position:static;';
		$podcaster_radio_custom_css .='} }';
	}

	$podcaster_radio_resp_slider = get_theme_mod( 'podcaster_radio_resp_slider_hide_show',true);
	if($podcaster_radio_resp_slider == true && get_theme_mod( 'podcaster_radio_slider_hide_show', true) == false){
    	$podcaster_radio_custom_css .='#slider{';
			$podcaster_radio_custom_css .='display:none;';
		$podcaster_radio_custom_css .='} ';
	}
    if($podcaster_radio_resp_slider == true){
    	$podcaster_radio_custom_css .='@media screen and (max-width:575px) {';
		$podcaster_radio_custom_css .='#slider{';
			$podcaster_radio_custom_css .='display:block;';
		$podcaster_radio_custom_css .='} }';
	}else if($podcaster_radio_resp_slider == false){
		$podcaster_radio_custom_css .='@media screen and (max-width:575px) {';
		$podcaster_radio_custom_css .='#slider{';
			$podcaster_radio_custom_css .='display:none;';
		$podcaster_radio_custom_css .='} }';
		$podcaster_radio_custom_css .='@media screen and (max-width:575px){';
		$podcaster_radio_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$podcaster_radio_custom_css .='margin-top: 45px;';
		$podcaster_radio_custom_css .='} }';
		$podcaster_radio_custom_css .='@media screen and (max-width:575px) {';
		$podcaster_radio_custom_css .='#track-player-sec .audioigniter-root{';
			$podcaster_radio_custom_css .='margin-top: 5%;';
		$podcaster_radio_custom_css .='} }';
	}

	$podcaster_radio_resp_sidebar = get_theme_mod( 'podcaster_radio_sidebar_hide_show',true);
    if($podcaster_radio_resp_sidebar == true){
    	$podcaster_radio_custom_css .='@media screen and (max-width:575px) {';
		$podcaster_radio_custom_css .='#sidebar{';
			$podcaster_radio_custom_css .='display:block;';
		$podcaster_radio_custom_css .='} }';
	}else if($podcaster_radio_resp_sidebar == false){
		$podcaster_radio_custom_css .='@media screen and (max-width:575px) {';
		$podcaster_radio_custom_css .='#sidebar{';
			$podcaster_radio_custom_css .='display:none;';
		$podcaster_radio_custom_css .='} }';
	}

	$podcaster_radio_resp_scroll_top = get_theme_mod( 'podcaster_radio_resp_scroll_top_hide_show',true);
	if($podcaster_radio_resp_scroll_top == true && get_theme_mod( 'podcaster_radio_hide_show_scroll',true) == false){
    	$podcaster_radio_custom_css .='.scrollup i{';
			$podcaster_radio_custom_css .='visibility:hidden !important;';
		$podcaster_radio_custom_css .='} ';
	}
    if($podcaster_radio_resp_scroll_top == true){
    	$podcaster_radio_custom_css .='@media screen and (max-width:575px) {';
		$podcaster_radio_custom_css .='.scrollup i{';
			$podcaster_radio_custom_css .='visibility:visible !important;';
		$podcaster_radio_custom_css .='} }';
	}else if($podcaster_radio_resp_scroll_top == false){
		$podcaster_radio_custom_css .='@media screen and (max-width:575px){';
		$podcaster_radio_custom_css .='.scrollup i{';
			$podcaster_radio_custom_css .='visibility:hidden !important;';
		$podcaster_radio_custom_css .='} }';
	}

	$podcaster_radio_resp_menu_toggle_btn_bg_color = get_theme_mod('podcaster_radio_resp_menu_toggle_btn_bg_color');
	if($podcaster_radio_resp_menu_toggle_btn_bg_color != false){
		$podcaster_radio_custom_css .='.toggle-nav i,.sidenav .closebtn, .left-menu .closebtn{';
			$podcaster_radio_custom_css .='background: '.esc_attr($podcaster_radio_resp_menu_toggle_btn_bg_color).';';
		$podcaster_radio_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$podcaster_radio_copyright_alingment = get_theme_mod('podcaster_radio_copyright_alingment');
	if($podcaster_radio_copyright_alingment != false){
		$podcaster_radio_custom_css .='.copyright p{';
			$podcaster_radio_custom_css .='text-align: '.esc_attr($podcaster_radio_copyright_alingment).';';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p{';
			$podcaster_radio_custom_css .='text-align: center;} }';
	}

	$podcaster_radio_resp_stickycopyright = get_theme_mod( 'podcaster_radio_stickycopyright_hide_show',false);
	if($podcaster_radio_resp_stickycopyright == true && get_theme_mod( 'podcaster_radio_copyright_sticky',false) != true){
    	$podcaster_radio_custom_css .='.copyright-sticky{';
			$podcaster_radio_custom_css .='position:static;';
		$podcaster_radio_custom_css .='} ';
	}

	$podcaster_radio_footer_social_icons_font_size = get_theme_mod('podcaster_radio_footer_social_icons_font_size','16');
	$podcaster_radio_custom_css .='.copyright .widget i{';
		$podcaster_radio_custom_css .='font-size: '.esc_attr($podcaster_radio_footer_social_icons_font_size).'px;';
	$podcaster_radio_custom_css .='}';

	$podcaster_radio_align_footer_social_icon = get_theme_mod('podcaster_radio_align_footer_social_icon');
	if($podcaster_radio_align_footer_social_icon != false){
		$podcaster_radio_custom_css .='.copyright .widget{';
			$podcaster_radio_custom_css .='text-align: '.esc_attr($podcaster_radio_align_footer_social_icon).';';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='
		@media screen and (max-width:720px) {
			.copyright .widget{';
			$podcaster_radio_custom_css .='text-align: center;} }';
	}

	$podcaster_radio_footer_widgets_heading = get_theme_mod( 'podcaster_radio_footer_widgets_heading','Left');
    if($podcaster_radio_footer_widgets_heading == 'Left'){
		$podcaster_radio_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$podcaster_radio_custom_css .='text-align: left;';
		$podcaster_radio_custom_css .='}';
	}else if($podcaster_radio_footer_widgets_heading == 'Center'){
		$podcaster_radio_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$podcaster_radio_custom_css .='text-align: center;';
		$podcaster_radio_custom_css .='}';
	}else if($podcaster_radio_footer_widgets_heading == 'Right'){
		$podcaster_radio_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$podcaster_radio_custom_css .='text-align: right;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_footer_widgets_content = get_theme_mod( 'podcaster_radio_footer_widgets_content','Left');
    if($podcaster_radio_footer_widgets_content == 'Left'){
		$podcaster_radio_custom_css .='#footer .widget{';
		$podcaster_radio_custom_css .='text-align: left;';
		$podcaster_radio_custom_css .='}';
	}else if($podcaster_radio_footer_widgets_content == 'Center'){
		$podcaster_radio_custom_css .='#footer .widget{';
			$podcaster_radio_custom_css .='text-align: center;';
		$podcaster_radio_custom_css .='}';
	}else if($podcaster_radio_footer_widgets_content == 'Right'){
		$podcaster_radio_custom_css .='#footer .widget{';
			$podcaster_radio_custom_css .='text-align: right;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_footer_padding = get_theme_mod('podcaster_radio_footer_padding');
	if($podcaster_radio_footer_padding != false){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='padding: '.esc_attr($podcaster_radio_footer_padding).' 0;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_footer_background_image = get_theme_mod('podcaster_radio_footer_background_image');
	if($podcaster_radio_footer_background_image != false){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='background: url('.esc_attr($podcaster_radio_footer_background_image).');background-size:cover;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_footer_background_color = get_theme_mod('podcaster_radio_footer_background_color');
	if($podcaster_radio_footer_background_color != false){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='background-color: '.esc_attr($podcaster_radio_footer_background_color).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_theme_lay = get_theme_mod( 'podcaster_radio_img_footer','scroll');
	if($podcaster_radio_theme_lay == 'fixed'){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='background-attachment: fixed !important; background-position: center !important;';
		$podcaster_radio_custom_css .='}';
	}elseif ($podcaster_radio_theme_lay == 'scroll'){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='background-attachment: scroll !important; background-position: center !important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_footer_img_position = get_theme_mod('podcaster_radio_footer_img_position','center center');
	if($podcaster_radio_footer_img_position != false){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='background-position: '.esc_attr($podcaster_radio_footer_img_position).'!important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_copyright_font_size = get_theme_mod('podcaster_radio_copyright_font_size');
	if($podcaster_radio_copyright_font_size != false){
		$podcaster_radio_custom_css .='.copyright p, .copyright a{';
			$podcaster_radio_custom_css .='font-size: '.esc_attr($podcaster_radio_copyright_font_size).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_copyright_font_weight = get_theme_mod('podcaster_radio_copyright_font_weight');
	if($podcaster_radio_copyright_font_weight != false){
		$podcaster_radio_custom_css .='.copyright p, .copyright a{';
			$podcaster_radio_custom_css .='font-weight: '.esc_attr($podcaster_radio_copyright_font_weight).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_copyright_text_color = get_theme_mod('podcaster_radio_copyright_text_color');
	if($podcaster_radio_copyright_text_color != false){
		$podcaster_radio_custom_css .='.copyright p, .copyright a{';
			$podcaster_radio_custom_css .='color: '.esc_attr($podcaster_radio_copyright_text_color).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_copyright_background_color = get_theme_mod('podcaster_radio_copyright_background_color');
	if($podcaster_radio_copyright_background_color != false){
		$podcaster_radio_custom_css .='#footer-2{';
			$podcaster_radio_custom_css .='background-color: '.esc_attr($podcaster_radio_copyright_background_color).';';
		$podcaster_radio_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	$podcaster_radio_site_title_font_size = get_theme_mod('podcaster_radio_site_title_font_size');
	if($podcaster_radio_site_title_font_size != false){
		$podcaster_radio_custom_css .='.logo h1, .logo p.site-title{';
			$podcaster_radio_custom_css .='font-size: '.esc_attr($podcaster_radio_site_title_font_size).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_site_tagline_font_size = get_theme_mod('podcaster_radio_site_tagline_font_size');
	if($podcaster_radio_site_tagline_font_size != false){
		$podcaster_radio_custom_css .='.logo p.site-description{';
			$podcaster_radio_custom_css .='font-size: '.esc_attr($podcaster_radio_site_tagline_font_size).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_logo_padding = get_theme_mod('podcaster_radio_logo_padding');
	if($podcaster_radio_logo_padding != false){
		$podcaster_radio_custom_css .='.main-header .logo{';
			$podcaster_radio_custom_css .='padding: '.esc_attr($podcaster_radio_logo_padding).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_logo_margin = get_theme_mod('podcaster_radio_logo_margin');
	if($podcaster_radio_logo_margin != false){
		$podcaster_radio_custom_css .='.main-header .logo{';
			$podcaster_radio_custom_css .='margin: '.esc_attr($podcaster_radio_logo_margin).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_site_title_color = get_theme_mod('podcaster_radio_site_title_color');
	if($podcaster_radio_site_title_color != false){
		$podcaster_radio_custom_css .='p.site-title a{';
			$podcaster_radio_custom_css .='color: '.esc_attr($podcaster_radio_site_title_color).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_site_tagline_color = get_theme_mod('podcaster_radio_site_tagline_color');
	if($podcaster_radio_site_tagline_color != false){
		$podcaster_radio_custom_css .='.logo p.site-description{';
			$podcaster_radio_custom_css .='color: '.esc_attr($podcaster_radio_site_tagline_color).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_logo_width = get_theme_mod('podcaster_radio_logo_width');
	if($podcaster_radio_logo_width != false){
		$podcaster_radio_custom_css .='.logo img{';
			$podcaster_radio_custom_css .='width: '.esc_attr($podcaster_radio_logo_width).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_logo_height = get_theme_mod('podcaster_radio_logo_height');
	if($podcaster_radio_logo_height != false){
		$podcaster_radio_custom_css .='.logo img{';
			$podcaster_radio_custom_css .='height: '.esc_attr($podcaster_radio_logo_height).';';
		$podcaster_radio_custom_css .='}';
	}

	// Woocommerce img

	$podcaster_radio_shop_featured_image_border_radius = get_theme_mod('podcaster_radio_shop_featured_image_border_radius', 0);
	if($podcaster_radio_shop_featured_image_border_radius != false){
		$podcaster_radio_custom_css .='.woocommerce ul.products li.product a img{';
			$podcaster_radio_custom_css .='border-radius: '.esc_attr($podcaster_radio_shop_featured_image_border_radius).'px;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_shop_featured_image_box_shadow = get_theme_mod('podcaster_radio_shop_featured_image_box_shadow',0);
	if($podcaster_radio_shop_featured_image_box_shadow != false){
		$podcaster_radio_custom_css .='.woocommerce ul.products li.product a img{';
			$podcaster_radio_custom_css .='box-shadow: '.esc_attr($podcaster_radio_shop_featured_image_box_shadow).'px '.esc_attr($podcaster_radio_shop_featured_image_box_shadow).'px '.esc_attr($podcaster_radio_shop_featured_image_box_shadow).'px #cccccc;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_products_padding_top_bottom = get_theme_mod('podcaster_radio_products_padding_top_bottom');
	if($podcaster_radio_products_padding_top_bottom != false){
		$podcaster_radio_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$podcaster_radio_custom_css .='padding-top: '.esc_attr($podcaster_radio_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($podcaster_radio_products_padding_top_bottom).'!important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_products_padding_left_right = get_theme_mod('podcaster_radio_products_padding_left_right');
	if($podcaster_radio_products_padding_left_right != false){
		$podcaster_radio_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$podcaster_radio_custom_css .='padding-left: '.esc_attr($podcaster_radio_products_padding_left_right).'!important; padding-right: '.esc_attr($podcaster_radio_products_padding_left_right).'!important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_products_box_shadow = get_theme_mod('podcaster_radio_products_box_shadow');
	if($podcaster_radio_products_box_shadow != false){
		$podcaster_radio_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$podcaster_radio_custom_css .='box-shadow: '.esc_attr($podcaster_radio_products_box_shadow).'px '.esc_attr($podcaster_radio_products_box_shadow).'px '.esc_attr($podcaster_radio_products_box_shadow).'px #ddd;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_products_border_radius = get_theme_mod('podcaster_radio_products_border_radius', 0);
	if($podcaster_radio_products_border_radius != false){
		$podcaster_radio_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$podcaster_radio_custom_css .='border-radius: '.esc_attr($podcaster_radio_products_border_radius).'px;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_products_btn_padding_top_bottom = get_theme_mod('podcaster_radio_products_btn_padding_top_bottom');
	if($podcaster_radio_products_btn_padding_top_bottom != false){
		$podcaster_radio_custom_css .='.woocommerce a.button{';
			$podcaster_radio_custom_css .='padding-top: '.esc_attr($podcaster_radio_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($podcaster_radio_products_btn_padding_top_bottom).' !important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_products_btn_padding_left_right = get_theme_mod('podcaster_radio_products_btn_padding_left_right');
	if($podcaster_radio_products_btn_padding_left_right != false){
		$podcaster_radio_custom_css .='.woocommerce a.button{';
			$podcaster_radio_custom_css .='padding-left: '.esc_attr($podcaster_radio_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($podcaster_radio_products_btn_padding_left_right).' !important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_products_button_border_radius = get_theme_mod('podcaster_radio_products_button_border_radius', 0);
	if($podcaster_radio_products_button_border_radius != false){
		$podcaster_radio_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
			$podcaster_radio_custom_css .='border-radius: '.esc_attr($podcaster_radio_products_button_border_radius).'px !important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_woocommerce_sale_position = get_theme_mod( 'podcaster_radio_woocommerce_sale_position','right');
    if($podcaster_radio_woocommerce_sale_position == 'left'){
		$podcaster_radio_custom_css .='.woocommerce ul.products li.product .onsale{';
			$podcaster_radio_custom_css .='left: 10px !important; right: auto !important;';
		$podcaster_radio_custom_css .='}';
	}else if($podcaster_radio_woocommerce_sale_position == 'right'){
		$podcaster_radio_custom_css .='.woocommerce ul.products li.product .onsale{';
			$podcaster_radio_custom_css .='left: auto !important; right: 10px !important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_woocommerce_sale_font_size = get_theme_mod('podcaster_radio_woocommerce_sale_font_size');
	if($podcaster_radio_woocommerce_sale_font_size != false){
		$podcaster_radio_custom_css .='.woocommerce span.onsale{';
			$podcaster_radio_custom_css .='font-size: '.esc_attr($podcaster_radio_woocommerce_sale_font_size).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_woocommerce_sale_border_radius = get_theme_mod('podcaster_radio_woocommerce_sale_border_radius', 0);
	if($podcaster_radio_woocommerce_sale_border_radius != false){
		$podcaster_radio_custom_css .='.woocommerce span.onsale{';
			$podcaster_radio_custom_css .='border-radius: '.esc_attr($podcaster_radio_woocommerce_sale_border_radius).'px;';
		$podcaster_radio_custom_css .='}';
	}

	/*------------------ Menus -------------------*/

	$podcaster_radio_header_menus_color = get_theme_mod('podcaster_radio_header_menus_color');
	if($podcaster_radio_header_menus_color != false){
		$podcaster_radio_custom_css .='.main-navigation a{';
			$podcaster_radio_custom_css .='color: '.esc_attr($podcaster_radio_header_menus_color).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_header_menus_hover_color = get_theme_mod('podcaster_radio_header_menus_hover_color');
	if($podcaster_radio_header_menus_hover_color != false){
		$podcaster_radio_custom_css .='.main-navigation a:hover{';
			$podcaster_radio_custom_css .='color: '.esc_attr($podcaster_radio_header_menus_hover_color).'!important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_header_submenus_color = get_theme_mod('podcaster_radio_header_submenus_color');
	if($podcaster_radio_header_submenus_color != false){
		$podcaster_radio_custom_css .='.main-navigation ul ul a{';
			$podcaster_radio_custom_css .='color: '.esc_attr($podcaster_radio_header_submenus_color).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_header_submenus_hover_color = get_theme_mod('podcaster_radio_header_submenus_hover_color');
	if($podcaster_radio_header_submenus_hover_color != false){
		$podcaster_radio_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$podcaster_radio_custom_css .='color: '.esc_attr($podcaster_radio_header_submenus_hover_color).'!important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_menus_item = get_theme_mod( 'podcaster_radio_menus_item_style','None');
    if($podcaster_radio_menus_item == 'None'){
		$podcaster_radio_custom_css .='.main-navigation a{';
			$podcaster_radio_custom_css .='';
		$podcaster_radio_custom_css .='}';
	}else if($podcaster_radio_menus_item == 'Zoom In'){
		$podcaster_radio_custom_css .='.main-navigation a:hover{';
			$podcaster_radio_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: #ffcc05;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_navigation_menu_font_weight = get_theme_mod('podcaster_radio_navigation_menu_font_weight','600');
	if($podcaster_radio_navigation_menu_font_weight != false){
		$podcaster_radio_custom_css .='.main-navigation a{';
			$podcaster_radio_custom_css .='font-weight: '.esc_attr($podcaster_radio_navigation_menu_font_weight).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_theme_lay = get_theme_mod( 'podcaster_radio_menu_text_transform','Uppercase');
	if($podcaster_radio_theme_lay == 'Capitalize'){
		$podcaster_radio_custom_css .='.main-navigation a{';
			$podcaster_radio_custom_css .='text-transform:Capitalize;';
		$podcaster_radio_custom_css .='}';
	}
	if($podcaster_radio_theme_lay == 'Lowercase'){
		$podcaster_radio_custom_css .='.main-navigation a{';
			$podcaster_radio_custom_css .='text-transform:Lowercase;';
		$podcaster_radio_custom_css .='}';
	}
	if($podcaster_radio_theme_lay == 'Uppercase'){
		$podcaster_radio_custom_css .='.main-navigation a{';
			$podcaster_radio_custom_css .='text-transform:Uppercase;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_navigation_menu_font_size = get_theme_mod('podcaster_radio_navigation_menu_font_size');
	if($podcaster_radio_navigation_menu_font_size != false){
		$podcaster_radio_custom_css .='.main-navigation a{';
			$podcaster_radio_custom_css .='font-size: '.esc_attr($podcaster_radio_navigation_menu_font_size).';';
		$podcaster_radio_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$podcaster_radio_theme_lay = get_theme_mod( 'podcaster_radio_blog_layout_option','Default');
    if($podcaster_radio_theme_lay == 'Default'){
		$podcaster_radio_custom_css .='.post-main-box{';
			$podcaster_radio_custom_css .='';
		$podcaster_radio_custom_css .='}';
	}else if($podcaster_radio_theme_lay == 'Center'){
		$podcaster_radio_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn{';
			$podcaster_radio_custom_css .='text-align:center;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='.post-info{';
			$podcaster_radio_custom_css .='margin-top:10px;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='.post-info hr{';
			$podcaster_radio_custom_css .='margin:15px auto;';
		$podcaster_radio_custom_css .='}';
	}else if($podcaster_radio_theme_lay == 'Left'){
		$podcaster_radio_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$podcaster_radio_custom_css .='text-align:Left;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='.post-info hr{';
			$podcaster_radio_custom_css .='margin-bottom:10px;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='.post-main-box h2{';
			$podcaster_radio_custom_css .='margin-top:10px;';
		$podcaster_radio_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$podcaster_radio_blog_page_posts_settings = get_theme_mod( 'podcaster_radio_blog_page_posts_settings','Into Blocks');
    if($podcaster_radio_blog_page_posts_settings == 'Without Blocks'){
		$podcaster_radio_custom_css .='.post-main-box{';
			$podcaster_radio_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$podcaster_radio_custom_css .='}';
	}

	// featured image dimention
	$podcaster_radio_blog_post_featured_image_dimension = get_theme_mod('podcaster_radio_blog_post_featured_image_dimension', 'default');
	$podcaster_radio_blog_post_featured_image_custom_width = get_theme_mod('podcaster_radio_blog_post_featured_image_custom_width',250);
	$podcaster_radio_blog_post_featured_image_custom_height = get_theme_mod('podcaster_radio_blog_post_featured_image_custom_height',250);
	if($podcaster_radio_blog_post_featured_image_dimension == 'custom'){
		$podcaster_radio_custom_css .='.post-main-box img{';
			$podcaster_radio_custom_css .='width: '.esc_attr($podcaster_radio_blog_post_featured_image_custom_width).'; height: '.esc_attr($podcaster_radio_blog_post_featured_image_custom_height).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_featured_image_border_radius = get_theme_mod('podcaster_radio_featured_image_border_radius', 0);
	if($podcaster_radio_featured_image_border_radius != false){
		$podcaster_radio_custom_css .='.box-image img, .feature-box img{';
			$podcaster_radio_custom_css .='border-radius: '.esc_attr($podcaster_radio_featured_image_border_radius).'px;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_featured_image_box_shadow = get_theme_mod('podcaster_radio_featured_image_box_shadow',0);
	if($podcaster_radio_featured_image_box_shadow != false){
		$podcaster_radio_custom_css .='.box-image img,#content-vw img{';
			$podcaster_radio_custom_css .='box-shadow: '.esc_attr($podcaster_radio_featured_image_box_shadow).'px '.esc_attr($podcaster_radio_featured_image_box_shadow).'px '.esc_attr($podcaster_radio_featured_image_box_shadow).'px #cccccc;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_singlepost_image_box_shadow = get_theme_mod('podcaster_radio_singlepost_image_box_shadow',0);
	if($podcaster_radio_singlepost_image_box_shadow != false){
		$podcaster_radio_custom_css .='.feature-box img{';
			$podcaster_radio_custom_css .='box-shadow: '.esc_attr($podcaster_radio_singlepost_image_box_shadow).'px '.esc_attr($podcaster_radio_singlepost_image_box_shadow).'px '.esc_attr($podcaster_radio_singlepost_image_box_shadow).'px #cccccc;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_related_image_box_shadow = get_theme_mod('podcaster_radio_related_image_box_shadow',0);
	if($podcaster_radio_related_image_box_shadow != false){
		$podcaster_radio_custom_css .='.related-post .box-image img{';
			$podcaster_radio_custom_css .='box-shadow: '.esc_attr($podcaster_radio_related_image_box_shadow).'px '.esc_attr($podcaster_radio_related_image_box_shadow).'px '.esc_attr($podcaster_radio_related_image_box_shadow).'px #cccccc;';
		$podcaster_radio_custom_css .='}';
	}

	/*------------- Preloader Background Color  -------------------*/

	$podcaster_radio_preloader_bg_color = get_theme_mod('podcaster_radio_preloader_bg_color');
	if($podcaster_radio_preloader_bg_color != false){
		$podcaster_radio_custom_css .='#preloader{';
			$podcaster_radio_custom_css .='background-color: '.esc_attr($podcaster_radio_preloader_bg_color).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_preloader_border_color = get_theme_mod('podcaster_radio_preloader_border_color');
	if($podcaster_radio_preloader_border_color != false){
		$podcaster_radio_custom_css .='.loader-line{';
			$podcaster_radio_custom_css .='border-color: '.esc_attr($podcaster_radio_preloader_border_color).'!important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_preloader_bg_img = get_theme_mod('podcaster_radio_preloader_bg_img');
	if($podcaster_radio_preloader_bg_img != false){
		$podcaster_radio_custom_css .='#preloader{';
			$podcaster_radio_custom_css .='background: url('.esc_attr($podcaster_radio_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$podcaster_radio_custom_css .='}';
	}

	// Header Background Color

	$podcaster_radio_header_background_color = get_theme_mod('podcaster_radio_header_background_color');
	if($podcaster_radio_header_background_color != false){
		$podcaster_radio_custom_css .='.header-bg{';
			$podcaster_radio_custom_css .='background-color: '.esc_attr($podcaster_radio_header_background_color).';';
		$podcaster_radio_custom_css .='}';
	}


	/*------------------ Slider Opacity -------------------*/

	$podcaster_radio_theme_lay = get_theme_mod( 'podcaster_radio_slider_opacity_color','0.8');
	if($podcaster_radio_theme_lay == '0'){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:0';
		$podcaster_radio_custom_css .='}';
		}else if($podcaster_radio_theme_lay == '0.1'){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:0.1';
		$podcaster_radio_custom_css .='}';
		}else if($podcaster_radio_theme_lay == '0.2'){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:0.2';
		$podcaster_radio_custom_css .='}';
		}else if($podcaster_radio_theme_lay == '0.3'){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:0.3';
		$podcaster_radio_custom_css .='}';
		}else if($podcaster_radio_theme_lay == '0.4'){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:0.4';
		$podcaster_radio_custom_css .='}';
		}else if($podcaster_radio_theme_lay == '0.5'){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:0.5';
		$podcaster_radio_custom_css .='}';
		}else if($podcaster_radio_theme_lay == '0.6'){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:0.6';
		$podcaster_radio_custom_css .='}';
		}else if($podcaster_radio_theme_lay == '0.7'){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:0.7';
		$podcaster_radio_custom_css .='}';
		}else if($podcaster_radio_theme_lay == '0.8'){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:0.8';
		$podcaster_radio_custom_css .='}';
		}else if($podcaster_radio_theme_lay == '0.9'){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:0.9';
		$podcaster_radio_custom_css .='}';
		}

	/*---------------------- Slider Image Overlay ------------------------*/

	$podcaster_radio_slider_image_overlay = get_theme_mod('podcaster_radio_slider_image_overlay', true);
	if($podcaster_radio_slider_image_overlay == false){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='opacity:1;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_slider_image_overlay_color = get_theme_mod('podcaster_radio_slider_image_overlay_color', true);
	if($podcaster_radio_slider_image_overlay_color != false){
		$podcaster_radio_custom_css .='#slider{';
			$podcaster_radio_custom_css .='background-color: '.esc_attr($podcaster_radio_slider_image_overlay_color).';';
		$podcaster_radio_custom_css .='}';
	}

	/*-------------------Slider Height ------------*/

	$podcaster_radio_slider_height = get_theme_mod('podcaster_radio_slider_height');
	if($podcaster_radio_slider_height != false){
		$podcaster_radio_custom_css .='#slider img{';
			$podcaster_radio_custom_css .='height: '.esc_attr($podcaster_radio_slider_height).';';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='@media screen and (max-width:575px){
		#slider img{';
			$podcaster_radio_custom_css .='height: auto;';
		$podcaster_radio_custom_css .='} }';
	}

	/*---------------- Single Blog Page Settings ------------------*/

	$podcaster_radio_single_blog_comment_title = get_theme_mod('podcaster_radio_single_blog_comment_title', 'Leave a Reply');
	if($podcaster_radio_single_blog_comment_title == ''){
		$podcaster_radio_custom_css .='#comments h2#reply-title {';
			$podcaster_radio_custom_css .='display: none;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_single_blog_comment_button_text = get_theme_mod('podcaster_radio_single_blog_comment_button_text', 'Post Comment');
	if($podcaster_radio_single_blog_comment_button_text == ''){
		$podcaster_radio_custom_css .='#comments p.form-submit {';
			$podcaster_radio_custom_css .='display: none;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_comment_width = get_theme_mod('podcaster_radio_single_blog_comment_width');
	if($podcaster_radio_comment_width != false){
		$podcaster_radio_custom_css .='#comments textarea{';
			$podcaster_radio_custom_css .='width: '.esc_attr($podcaster_radio_comment_width).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_single_blog_post_navigation_show_hide = get_theme_mod('podcaster_radio_single_blog_post_navigation_show_hide',true);
	if($podcaster_radio_single_blog_post_navigation_show_hide != true){
		$podcaster_radio_custom_css .='.post-navigation{';
			$podcaster_radio_custom_css .='display: none;';
		$podcaster_radio_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$podcaster_radio_button_padding_top_bottom = get_theme_mod('podcaster_radio_button_padding_top_bottom');
	$podcaster_radio_button_padding_left_right = get_theme_mod('podcaster_radio_button_padding_left_right');
	if($podcaster_radio_button_padding_top_bottom != false || $podcaster_radio_button_padding_left_right != false){
		$podcaster_radio_custom_css .='.post-main-box .more-btn a{';
			$podcaster_radio_custom_css .='padding-top: '.esc_attr($podcaster_radio_button_padding_top_bottom).'!important;
			padding-bottom: '.esc_attr($podcaster_radio_button_padding_top_bottom).'!important;
			padding-left: '.esc_attr($podcaster_radio_button_padding_left_right).'!important;
			padding-right: '.esc_attr($podcaster_radio_button_padding_left_right).'!important;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_button_border_radius = get_theme_mod('podcaster_radio_button_border_radius');
	if($podcaster_radio_button_border_radius != false){
		$podcaster_radio_custom_css .='.post-main-box .more-btn a{';
			$podcaster_radio_custom_css .='border-radius: '.esc_attr($podcaster_radio_button_border_radius).'px;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_button_font_size = get_theme_mod('podcaster_radio_button_font_size',14);
	$podcaster_radio_custom_css .='.post-main-box .more-btn a{';
		$podcaster_radio_custom_css .='font-size: '.esc_attr($podcaster_radio_button_font_size).' !important;';
	$podcaster_radio_custom_css .='}';

	$podcaster_radio_theme_lay = get_theme_mod( 'podcaster_radio_button_text_transform','Uppercase');
	if($podcaster_radio_theme_lay == 'Capitalize'){
		$podcaster_radio_custom_css .='.post-main-box .more-btn a{';
			$podcaster_radio_custom_css .='text-transform:Capitalize;';
		$podcaster_radio_custom_css .='}';
	}
	if($podcaster_radio_theme_lay == 'Lowercase'){
		$podcaster_radio_custom_css .='.post-main-box .more-btn a{';
			$podcaster_radio_custom_css .='text-transform:Lowercase;';
		$podcaster_radio_custom_css .='}';
	}
	if($podcaster_radio_theme_lay == 'Uppercase'){
		$podcaster_radio_custom_css .='.post-main-box .more-btn a{';
			$podcaster_radio_custom_css .='text-transform:Uppercase;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_button_letter_spacing = get_theme_mod('podcaster_radio_button_letter_spacing');
	$podcaster_radio_custom_css .='.post-main-box .more-btn a{';
		$podcaster_radio_custom_css .='letter-spacing: '.esc_attr($podcaster_radio_button_letter_spacing).';';
	$podcaster_radio_custom_css .='}';

	// button font weight
	$podcaster_radio_button_font_weight = get_theme_mod('podcaster_radio_button_font_weight');
  	$podcaster_radio_custom_css .='.more-btn a{';
    $podcaster_radio_custom_css .='font-weight: '.esc_attr($podcaster_radio_button_font_weight).'!important;';
  	$podcaster_radio_custom_css .='}';

	//Button hover effect
	$podcaster_radio_button_hover_effect = get_theme_mod('podcaster_radio_button_hover_effect', 'disable');
	if ($podcaster_radio_button_hover_effect !== 'disable') {
		$podcaster_radio_custom_css .= '.more-btn a:hover {';
		switch ($podcaster_radio_button_hover_effect) {
			case 'pulse':
				$podcaster_radio_custom_css .= 'animation: pulse 0.5s ease-in-out !important;';
				break;
			case 'rubberBand':
				$podcaster_radio_custom_css .= 'animation: rubberBand 0.5s ease-in-out !important;';
				break;
			case 'swing':
				$podcaster_radio_custom_css .= 'animation: swing 0.5s ease-in-out !important;';
				break;
			case 'tada':
				$podcaster_radio_custom_css .= 'animation: tada 0.5s ease-in-out !important;';
				break;
			case 'jello':
				$podcaster_radio_custom_css .= 'animation: jello 0.5s ease-in-out!important;';
				break;
		}
		$podcaster_radio_custom_css .= '}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$podcaster_radio_related_product_show_hide = get_theme_mod('podcaster_radio_related_product_show_hide',true);
	if($podcaster_radio_related_product_show_hide != true){
		$podcaster_radio_custom_css .='.related.products{';
			$podcaster_radio_custom_css .='display: none;';
		$podcaster_radio_custom_css .='}';
	}

	/*----------------Scroll to top Settings ------------------*/

	$podcaster_radio_scroll_to_top_font_size = get_theme_mod('podcaster_radio_scroll_to_top_font_size');
	if($podcaster_radio_scroll_to_top_font_size != false){
		$podcaster_radio_custom_css .='.scrollup i{';
			$podcaster_radio_custom_css .='font-size: '.esc_attr($podcaster_radio_scroll_to_top_font_size).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_scroll_to_top_padding = get_theme_mod('podcaster_radio_scroll_to_top_padding');
	$podcaster_radio_scroll_to_top_padding = get_theme_mod('podcaster_radio_scroll_to_top_padding');
	if($podcaster_radio_scroll_to_top_padding != false){
		$podcaster_radio_custom_css .='.scrollup i{';
			$podcaster_radio_custom_css .='padding-top: '.esc_attr($podcaster_radio_scroll_to_top_padding).';padding-bottom: '.esc_attr($podcaster_radio_scroll_to_top_padding).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_scroll_to_top_width = get_theme_mod('podcaster_radio_scroll_to_top_width');
	if($podcaster_radio_scroll_to_top_width != false){
		$podcaster_radio_custom_css .='.scrollup i{';
			$podcaster_radio_custom_css .='width: '.esc_attr($podcaster_radio_scroll_to_top_width).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_scroll_to_top_height = get_theme_mod('podcaster_radio_scroll_to_top_height');
	if($podcaster_radio_scroll_to_top_height != false){
		$podcaster_radio_custom_css .='.scrollup i{';
			$podcaster_radio_custom_css .='height: '.esc_attr($podcaster_radio_scroll_to_top_height).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_scroll_to_top_border_radius = get_theme_mod('podcaster_radio_scroll_to_top_border_radius');
	if($podcaster_radio_scroll_to_top_border_radius != false){
		$podcaster_radio_custom_css .='.scrollup i{';
			$podcaster_radio_custom_css .='border-radius: '.esc_attr($podcaster_radio_scroll_to_top_border_radius).'px;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_header_img_position = get_theme_mod('podcaster_radio_header_img_position','center top');
	if($podcaster_radio_header_img_position != false){
		$podcaster_radio_custom_css .='.home-page-header{';
			$podcaster_radio_custom_css .='background-position: '.esc_attr($podcaster_radio_header_img_position).'!important;';
		$podcaster_radio_custom_css .='}';
	}

	/*--------------------- Grid Posts Posts -------------------*/

	$podcaster_radio_display_grid_posts_settings = get_theme_mod( 'podcaster_radio_display_grid_posts_settings','Into Blocks');
    if($podcaster_radio_display_grid_posts_settings == 'Without Blocks'){
		$podcaster_radio_custom_css .='.grid-post-main-box{';
			$podcaster_radio_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_grid_featured_image_box_shadow = get_theme_mod('podcaster_radio_grid_featured_image_box_shadow',0);
	if($podcaster_radio_grid_featured_image_box_shadow != false){
		$podcaster_radio_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$podcaster_radio_custom_css .='box-shadow: '.esc_attr($podcaster_radio_grid_featured_image_box_shadow).'px '.esc_attr($podcaster_radio_grid_featured_image_box_shadow).'px '.esc_attr($podcaster_radio_grid_featured_image_box_shadow).'px #cccccc;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_grid_featured_image_border_radius = get_theme_mod('podcaster_radio_grid_featured_image_border_radius', 0);
	if($podcaster_radio_grid_featured_image_border_radius != false){
		$podcaster_radio_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$podcaster_radio_custom_css .='border-radius: '.esc_attr($podcaster_radio_grid_featured_image_border_radius).'px;';
		$podcaster_radio_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$podcaster_radio_social_icon_font_size = get_theme_mod('podcaster_radio_social_icon_font_size');
	if($podcaster_radio_social_icon_font_size != false){
		$podcaster_radio_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$podcaster_radio_custom_css .='font-size: '.esc_attr($podcaster_radio_social_icon_font_size).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_social_icon_padding = get_theme_mod('podcaster_radio_social_icon_padding');
	if($podcaster_radio_social_icon_padding != false){
		$podcaster_radio_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$podcaster_radio_custom_css .='padding: '.esc_attr($podcaster_radio_social_icon_padding).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_social_icon_width = get_theme_mod('podcaster_radio_social_icon_width');
	if($podcaster_radio_social_icon_width != false){
		$podcaster_radio_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$podcaster_radio_custom_css .='width: '.esc_attr($podcaster_radio_social_icon_width).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_social_icon_height = get_theme_mod('podcaster_radio_social_icon_height');
	if($podcaster_radio_social_icon_height != false){
		$podcaster_radio_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$podcaster_radio_custom_css .='height: '.esc_attr($podcaster_radio_social_icon_height).';';
		$podcaster_radio_custom_css .='}';
	}
	/*-------------- Sticky Header Padding ----------------*/

	$podcaster_radio_sticky_header_padding = get_theme_mod('podcaster_radio_sticky_header_padding');
	if($podcaster_radio_sticky_header_padding != false){
		$podcaster_radio_custom_css .='.header-fixed{';
			$podcaster_radio_custom_css .='padding: '.esc_attr($podcaster_radio_sticky_header_padding).'!important;';
		$podcaster_radio_custom_css .='}';
	}


	/*---------------------------Footer Style -------------------*/

	$podcaster_radio_theme_lay = get_theme_mod( 'podcaster_radio_footer_template','podcaster_radio-footer-one');
    if($podcaster_radio_theme_lay == 'podcaster_radio-footer-one'){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='';
		$podcaster_radio_custom_css .='}';

	}else if($podcaster_radio_theme_lay == 'podcaster_radio-footer-two'){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$podcaster_radio_custom_css .='color:#000;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='#footer ul li::before{';
			$podcaster_radio_custom_css .='background:#000;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$podcaster_radio_custom_css .='border: 1px solid #000;';
		$podcaster_radio_custom_css .='}';

	}else if($podcaster_radio_theme_lay == 'podcaster_radio-footer-three'){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='background: #232524;';
		$podcaster_radio_custom_css .='}';
	}
	else if($podcaster_radio_theme_lay == 'podcaster_radio-footer-four'){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='background: #f7f7f7;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$podcaster_radio_custom_css .='color:#000;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='#footer ul li::before{';
			$podcaster_radio_custom_css .='background:#000;';
		$podcaster_radio_custom_css .='}';
		$podcaster_radio_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$podcaster_radio_custom_css .='border: 1px solid #000;';
		$podcaster_radio_custom_css .='}';
	}
	else if($podcaster_radio_theme_lay == 'podcaster_radio-footer-five'){
		$podcaster_radio_custom_css .='#footer{';
			$podcaster_radio_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$podcaster_radio_custom_css .='}';
	}

 	/*---------------- Footer Settings ------------------*/

	$podcaster_radio_button_footer_heading_letter_spacing = get_theme_mod('podcaster_radio_button_footer_heading_letter_spacing',1);
	$podcaster_radio_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$podcaster_radio_custom_css .='letter-spacing: '.esc_attr($podcaster_radio_button_footer_heading_letter_spacing).'px;';
	$podcaster_radio_custom_css .='}';

	$podcaster_radio_button_footer_font_size = get_theme_mod('podcaster_radio_button_footer_font_size','30');
	$podcaster_radio_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$podcaster_radio_custom_css .='font-size: '.esc_attr($podcaster_radio_button_footer_font_size).'px;';
	$podcaster_radio_custom_css .='}';

	$podcaster_radio_theme_lay = get_theme_mod( 'podcaster_radio_button_footer_text_transform','Capitalize');
	if($podcaster_radio_theme_lay == 'Capitalize'){
		$podcaster_radio_custom_css .='#footer h3{';
			$podcaster_radio_custom_css .='text-transform:Capitalize;';
		$podcaster_radio_custom_css .='}';
	}
	if($podcaster_radio_theme_lay == 'Lowercase'){
		$podcaster_radio_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$podcaster_radio_custom_css .='text-transform:Lowercase;';
		$podcaster_radio_custom_css .='}';
	}
	if($podcaster_radio_theme_lay == 'Uppercase'){
		$podcaster_radio_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$podcaster_radio_custom_css .='text-transform:Uppercase;';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_footer_heading_weight = get_theme_mod('podcaster_radio_footer_heading_weight','600');
	if($podcaster_radio_footer_heading_weight != false){
		$podcaster_radio_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$podcaster_radio_custom_css .='font-weight: '.esc_attr($podcaster_radio_footer_heading_weight).';';
		$podcaster_radio_custom_css .='}';
	}

	$podcaster_radio_responsive_preloader_hide = get_theme_mod('podcaster_radio_responsive_preloader_hide',false);
	if($podcaster_radio_responsive_preloader_hide == true && get_theme_mod('podcaster_radio_loader_enable',false) == false){
		$podcaster_radio_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$podcaster_radio_custom_css .='display:none !important;';
		$podcaster_radio_custom_css .='} }';
	}

	if($podcaster_radio_responsive_preloader_hide == false){
		$podcaster_radio_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$podcaster_radio_custom_css .='display:none !important;';
		$podcaster_radio_custom_css .='} }';
	}

	// top bar show /hide responsive media

	$podcaster_radio_responsive_topbar_hide = get_theme_mod('podcaster_radio_responsive_topbar_hide',true);
	if($podcaster_radio_responsive_topbar_hide == true && get_theme_mod('podcaster_radio_topbar_hide_show',true) == false){
		$podcaster_radio_custom_css .='@media screen and (min-width:575px){
			.top-bar{';
			$podcaster_radio_custom_css .='display:none !important;';
		$podcaster_radio_custom_css .='} }';
	}

	if($podcaster_radio_responsive_topbar_hide == false){
		$podcaster_radio_custom_css .='@media screen and (max-width:575px){
			.top-bar{';
			$podcaster_radio_custom_css .='display:none !important;';
		$podcaster_radio_custom_css .='} }';
	}

	$podcaster_radio_breadcrumbs_alignment = get_theme_mod( 'podcaster_radio_breadcrumbs_alignment','Left');
    if($podcaster_radio_breadcrumbs_alignment == 'Left'){
    	$podcaster_radio_custom_css .='@media screen and (min-width:768px) {';
		$podcaster_radio_custom_css .='.breadcrumbs{';
			$podcaster_radio_custom_css .='text-align:start;';
		$podcaster_radio_custom_css .='}}';
	}else if($podcaster_radio_breadcrumbs_alignment == 'Center'){
		$podcaster_radio_custom_css .='@media screen and (min-width:768px) {';
		$podcaster_radio_custom_css .='.breadcrumbs{';
			$podcaster_radio_custom_css .='text-align:center;';
		$podcaster_radio_custom_css .='}}';
	}else if($podcaster_radio_breadcrumbs_alignment == 'Right'){
		$podcaster_radio_custom_css .='@media screen and (min-width:768px) {';
		$podcaster_radio_custom_css .='.breadcrumbs{';
			$podcaster_radio_custom_css .='text-align:end;';
		$podcaster_radio_custom_css .='}}';
	}

	// sticky sidebar
		$podcaster_radio_resp_stickysidebar = get_theme_mod( 'podcaster_radio_stickysidebar_hide_show',false);
	if($podcaster_radio_resp_stickysidebar == true && get_theme_mod( 'podcaster_radio_sticky_sidebar',false) != true){
		$podcaster_radio_custom_css .= '@media (min-width: 768px) {';
    	$podcaster_radio_custom_css .='#sidebar{';
			$podcaster_radio_custom_css .='position:static;';
		$podcaster_radio_custom_css .='} ';
		$podcaster_radio_custom_css .= '}';
	}
    // First Letter Capital
	$podcaster_radio_show_first_caps = get_theme_mod('podcaster_radio_show_first_caps', false);
	if ($podcaster_radio_show_first_caps ) {
	    $podcaster_radio_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $podcaster_radio_custom_css .=' font-size: 55px;font-weight: 600;margin-right: 5px;';
	    $podcaster_radio_custom_css .='}';
	} else {
		$podcaster_radio_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $podcaster_radio_custom_css .= 'display: none;';
	    $podcaster_radio_custom_css .='}';
	}
	// Hover on featured image //
	$podcaster_radio_show_featured = get_theme_mod( 'podcaster_radio_featured_image_hide_show', 1 );
	$podcaster_radio_hover_effect  = get_theme_mod( 'podcaster_radio_featured_image_hover', 'none' );

	if ( $podcaster_radio_show_featured && $podcaster_radio_hover_effect !== 'none' ) {

		$podcaster_radio_custom_css .= '
		.podcaster-radio-featured-image img{
			transition: all 0.4s ease;
		}';

		if ( $podcaster_radio_hover_effect === 'zoom-in' ) {
			$podcaster_radio_custom_css .= '
			.podcaster-radio-featured-image:hover img{
				transform: scale(1.2);
			}';
		}

		if ( $podcaster_radio_hover_effect === 'zoom-out' ) {
			$podcaster_radio_custom_css .= '
			.podcaster-radio-featured-image img{
				transform: scale(1.2);
			}
			.podcaster-radio-featured-image:hover img{
				transform: scale(1);
			}';
		}

		if ( $podcaster_radio_hover_effect === 'grayscale' ) {
			$podcaster_radio_custom_css .= '
			.podcaster-radio-featured-image img{
				filter: grayscale(100%);
			}
			.podcaster-radio-featured-image:hover img{
				filter: grayscale(0);
			}';
		}

		if ( $podcaster_radio_hover_effect === 'sepia' ) {
			$podcaster_radio_custom_css .= '
			.podcaster-radio-featured-image:hover img{
				filter: sepia(100%);
			}';
		}

		if ( $podcaster_radio_hover_effect === 'blur' ) {
			$podcaster_radio_custom_css .= '
			.podcaster-radio-featured-image:hover img{
				filter: blur(3px);
			}';
		}

		if ( $podcaster_radio_hover_effect === 'bright' ) {
			$podcaster_radio_custom_css .= '
			.podcaster-radio-featured-image:hover img{
				filter: brightness(1.3);
			}';
		}

		if ( $podcaster_radio_hover_effect === 'translate' ) {
			$podcaster_radio_custom_css .= '
			.podcaster-radio-featured-image:hover img{
				transform: translateY(-10px);
			}';
		}
	}
